Subject: Re: [patch net-next 0/4] Introduce Mellanox Technologies Switch ASICs switchdev drivers

From: Florian Fainelli <[email-masked]>
Date: Mon, 27 Jul 2015 14:21:14 -0700

On 27/07/15 13:27, Jiri Pirko wrote:
> Mon, Jul 27, 2015 at 10:21:54PM CEST, [email-masked] wrote:
>> On Thu, Jul 23, 2015 at 8:43 AM, Jiri Pirko <[email-masked]> wrote:
>>> This patchset introduces Mellanox Technologies Switch driver infrastructure
>>> and support for SwitchX-2 ASIC.
>>
>> You guys did a great job on the driver; looking forward to seeing
>> L2/L3 hooked up.  Very nice, aesthetically pleasing code.
> 
> Thanks!
> 
>>
>> Is this a ground-up rewrite or a port of the SDK?  It's so clean and
>> tight, I'm guessing a ground-up rewrite.
> 
> It's rewritten from scratch.

Only glanced through the driver, but this looks like really really nice
and clean, very pleased to see such a driver being submitted. That is
very encouraging and should inspire other companies in doing so, so
thanks for doing this!
-- 
Florian